package de.ivu.elect.business.personenregister.entity;

import de.ivu.elect.business.person.boundary.SearchParametersMitPersonendatenNamen;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;

public class VornameProperty extends AbstractStringProperty {

  private final SearchParametersMitPersonendatenNamen searchParametersMitPersonendatenNamen;

  public VornameProperty(SearchParametersMitPersonendatenNamen searchParametersMitPersonendatenNamen) {
    this.searchParametersMitPersonendatenNamen = searchParametersMitPersonendatenNamen;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public int getDefaultMaxLength() {
    return PersonenregisterPersonendatenConstants.RUFNAME_MAX_LENGTH;
  }

  @Override
  public String getValue() {
    return searchParametersMitPersonendatenNamen.getVorname();
  }

  @Override
  public void setValue(String value) {
    searchParametersMitPersonendatenNamen.setVorname(value);
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(SearchParametersMitPersonendatenNamen.MESSAGE_KEY_VORNAME_EINZAHL);
  }

}
